- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# CrouchCommand Class Reference

`#include <Command.h>`

Inheritance diagram for CrouchCommand:

List of all members.

## Public Member Functions
| CrouchCommand (Person *person, bool crouch=true)
| CrouchCommand (List *command)
void | execute ()
std::string | getString ()
## Static Public Member Functions
static std::string | id ()
## Private Attributes
Person * | _person
bool | _crouch
## Static Private Attributes
static const std::string | _id = "crouch"

## Detailed Description

Definition at line 53 of file Command.h.

## Constructor & Destructor Documentation

CrouchCommand::CrouchCommand | ( | Person * | person,
|  | bool | crouch = `true`
| ) |

| Definition at line 11 of file CrouchCommand.cpp.

CrouchCommand::CrouchCommand | ( | List * | command | ) |

| Definition at line 17 of file CrouchCommand.cpp. References _crouch, _person, List::firstString(), Level::getObject(), Level::instance(), and List::rest().

## Member Function Documentation

void CrouchCommand::execute | ( |  | ) | `[virtual]`

| Implements Command. Definition at line 29 of file CrouchCommand.cpp. References _crouch, _person, Person::crouch(), and Person::uncrouch().

std::string CrouchCommand::getString | ( |  | ) | `[virtual]`

| Implements Command. Definition at line 37 of file CrouchCommand.cpp. References _crouch, _id, _person, List::getString(), Object::id(), and List::snoc().

static std::string CrouchCommand::id | ( |  | ) | `[inline, static]`

| Definition at line 60 of file Command.h. References _id. Referenced by Command::loadCommand().

## Member Data Documentation

bool CrouchCommand::_crouch`[private]`

| Definition at line 63 of file Command.h. Referenced by CrouchCommand(), execute(), and getString().

const std::string CrouchCommand::_id = "crouch"`[static, private]`

| Definition at line 65 of file Command.h. Referenced by getString(), and id().

Person* CrouchCommand::_person`[private]`

| Definition at line 62 of file Command.h. Referenced by CrouchCommand(), execute(), and getString().

The documentation for this class was generated from the following files:

- C:/Documents and Settings/jegan/Desktop/projectX/Command.h
- C:/Documents and Settings/jegan/Desktop/projectX/CrouchCommand.cpp